## EvDocumentSecurity

EvDocumentSecurity

## Functions

#define | EV_DOCUMENT_SECURITY_IFACE ()
#define | EV_IS_DOCUMENT_SECURITY_IFACE ()
gboolean | ev_document_security_has_document_security ()
void | ev_document_security_set_password ()

## Types and Values

| EvDocumentSecurity

## Object Hierarchy

        GInterface
        ╰── EvDocumentSecurity

## Description

## Functions

### EV_DOCUMENT_SECURITY_IFACE()

    #define EV_DOCUMENT_SECURITY_IFACE(k)	  	  (G_TYPE_CHECK_CLASS_CAST((k), EV_TYPE_DOCUMENT_SECURITY, EvDocumentSecurityInterface))

### EV_IS_DOCUMENT_SECURITY_IFACE()

    #define EV_IS_DOCUMENT_SECURITY_IFACE(k)	  (G_TYPE_CHECK_CLASS_TYPE ((k), EV_TYPE_DOCUMENT_SECURITY))

### ev_document_security_has_document_security ()

    gboolean
    ev_document_security_has_document_security
                                   (EvDocumentSecurity *document_security);

### ev_document_security_set_password ()

    void
    ev_document_security_set_password (EvDocumentSecurity *document_security,
                                       const char *password);

## Types and Values

### EvDocumentSecurity

    typedef struct _EvDocumentSecurity EvDocumentSecurity;